/**
 * Copyright  World Wide Web Consortium, (Massachusetts Institute of
 * Technology, Institut National de Recherche en Informatique et en
 * Automatique, Keio University).
 *
 * All Rights Reserved.
 *
 * @author	Sergey Melnik <melnik@db.stanford.edu>
 */
package org.w3c.rdf.model.impl;

import org.w3c.rdf.model.Resource;

public final class ResourceImpl extends RDFNodeImpl implements Resource {

  public ResourceImpl (String uri) {
    super(uri);
  }

  public String getURI() {
    return label;
  }

  public boolean equals (Object that) {

    if (this == that) {
      return true;
    }
    if (that == null || !(that instanceof Resource)) {
      return false;
    }

    return super.equals(that);
  }
}
